{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des services de l'entité" %}

{% block pageActions %}
    <div class="row">
        <div class="col-7 pull-left">
            <a href="{{ path('app_service_add') }}" class="btn btn-primary">
                <span class="fa fa-plus-circle"></span>
                Ajouter
            </a>
            <a href="{{ path('app_csv_import') }}" class="btn btn-outline-primary">
                <span class="fa fa-plus-circle"></span>
                Ajouter via csv
            </a>
        </div>
    </div>

    <br>

    {{ macro.associationMultipleButtonModal(
        'btn_association',
        'Associer un ou plusieurs service à un ou plusieurs utilisateur(s)',
        'app_service_association',
        form,
        services.currentPageNumber,
        'modal-associate',
        'users_for_organisation',
        'fields'
    ) }}

    {{ macro.btnDeleteMultipleWithModal(
        'btn_deletemultiple',
        'Suppression de plusieurs services',
        'app_service_delete_multiple',
        'Voulez-vous vraiment supprimer ces services ?',
        services.currentPageNumber
    ) }}
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">
                    <input id="allCheckbox" type="checkbox"/>
                </th>
                <th scope="col">Nom du service</th>
                <th scope="col">Nombre d'utilisateurs</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for service in services %}
                {% set countUsers = service.user|length %}

                {% if (form.user.vars['choices']|length != countUsers) %}
                    {% set association = "true" %}
                {% else %}
                    {% set association = "false" %}
                {% endif %}

                {% if (countUsers == 0) %}
                    {% set deletemultiple = "true" %}
                {% else %}
                    {% set deletemultiple = "false" %}
                {% endif %}
                <tr>
                    <th>
                        <input id='checkbox-{{ service.id }}' type="checkbox"
                               class="js-checkbox allCheckbox" value="{{ service.id }}"
                               data-association="{{ association }}" data-deletemultiple="{{ deletemultiple }}">
                    </th>
                    <th> {{ service.name }} </th>
                    <th> {{ countUsers }} </th>
                    <th>
                        {% if (countUsers == 0) %}
                            {{ macro.editButton('app_service_edit', service.id) }}

                            {{ macro.deleteButtonModal(
                                service.id,
                                'Suppression du service',
                                'app_service_delete',
                                'Voulez-vous vraiment supprimer ce service ?',
                                services.currentPageNumber
                            ) }}
                        {% endif %}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(services) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}
